Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 454011 - Review Request: tcl-snack - Sound toolkit
Summary: Review Request: tcl-snack - Sound toolkit
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Marcela Mašláňová
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 454022
TreeView+ depends on / blocked
 
Reported: 2008-07-03 20:10 UTC by Tom "spot" Callaway
Modified: 2008-09-21 16:48 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-09-13 13:13:33 UTC
mmaslano: fedora-review+
tcallawa: fedora-cvs+


Attachments (Terms of Use)

Description Tom "spot" Callaway 2008-07-03 20:10:20 UTC
Spec URL: http://auroralinux.org/people/spot/review/coccinella/tcl-snack.spec
SRPM URL: http://auroralinux.org/people/spot/review/coccinella/tcl-snack-2.2.10-1.fc10.src.rpm
Description: 
The Snack Sound Toolkit is designed to be used with a scripting language such
as Tcl/Tk or Python. Using Snack you can create powerful multi-platform audio
applications with just a few lines of code. Snack has commands for basic sound
handling, such as playback, recording, file and socket I/O. Snack also provides
primitives for sound visualization, e.g. waveforms and spectrograms. It was
developed mainly to handle digital recordings of speech, but is just as useful
for general audio. Snack has also successfully been applied to other
one-dimensional signals. The combination of Snack and a scripting language
makes it possible to create sound tools and applications with a minimum of
effort. This is due to the rapid development nature of scripting languages. As
a bonus you get an application that is cross-platform from start. It is also
easy to integrate Snack based applications with existing sound analysis
software.

Comment 1 Marcela Mašláňová 2008-07-30 12:33:29 UTC
Mp3 was removed from code, so I'm ok with that.

Licence: if you start changing source files, couldn't be removed BSD.txt file?
Whole source is under GPLv2 anyway.

Comment 2 Tom "spot" Callaway 2008-07-30 16:41:42 UTC
I always try to keep my modifications to a minimum in such cases. Lots of
packages include extraneous license files (possibly for historical purposes).

Comment 3 Marcela Mašláňová 2008-07-31 06:20:34 UTC
Ok.

Comment 4 Tom "spot" Callaway 2008-07-31 14:11:38 UTC
Not that I'm complaining here, but could you do a bit more of a review than
"Ok". I mean, I'm sure my package is perfect and all... :)

Comment 6 Marcela Mašláňová 2008-07-31 14:38:40 UTC
- rpmlint checks return: Nothing - OK

- package meets naming guidelines OK
- package meets packaging guidelines OK
- license (GPLv2+) OK, text in %doc, matches source OK
- spec file legible, in am. english - it looks OK for me ;-)
- source matches upstream - don't match, because mp3 support was cut - OK
- package compiles on devel (x86) - broken koji :(
- no missing BR OK
- no unnecessary BR OK
- no locales OK
- not relocatable OK
- owns all directories that it creates OK
- no duplicate files OK
- permissions ok OK
- %clean ok OK
- macro use consistent OK
- code, not content OK
- no need for -docs - not needed OK
- nothing in %doc affects runtime OK
- no need for .desktop file OK


Comment 7 Marcela Mašláňová 2008-07-31 14:41:21 UTC
Hehe, I read and check this list
https://fedoraproject.org/wiki/Packaging/ReviewGuidelines but it's too long to
copy here. 

Now I don't know if I built it on koji or not, so wait till yesterday. Hopefully
it will be working.

btw your package should be perfect you wrote the guidelines ;-)

Comment 8 Marcela Mašláňová 2008-08-01 10:42:36 UTC
Looks like someone broke rawhide :(
http://koji.fedoraproject.org/koji/getfile?taskID=752263&name=build.log

Comment 9 Marcela Mašláňová 2008-08-04 08:18:44 UTC
I don't know why, but it's still can't be built in koji
http://koji.fedoraproject.org/koji/getfile?taskID=756612&name=build.log

Comment 10 Tom "spot" Callaway 2008-08-04 15:32:18 UTC
OK, I fixed this by adding: BuildRequires: python-devel

Successful scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=757252

New SRPM: http://www.auroralinux.org/people/spot/review/new/tcl-snack-2.2.10-2.fc10.src.rpm
New SPEC: http://www.auroralinux.org/people/spot/review/new/tcl-snack.spec

Comment 11 Marcela Mašláňová 2008-08-05 06:52:05 UTC
- build in koji OK

Everything pass.

Comment 12 Tom "spot" Callaway 2008-09-12 21:13:46 UTC
New Package CVS Request
====================
Package Name: tcl-snack
Short Description: Sound toolkit
Owners: spot
Branches: F-8 F-9 devel
InitialCC:

...and it's done.

Comment 13 Fedora Update System 2008-09-13 13:12:43 UTC
tcl-snack-2.2.10-2.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/tcl-snack-2.2.10-2.fc8

Comment 14 Fedora Update System 2008-09-13 13:12:47 UTC
tcl-snack-2.2.10-2.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/tcl-snack-2.2.10-2.fc9

Comment 15 Tom "spot" Callaway 2008-09-13 13:13:33 UTC
Built in rawhide too.

Comment 16 Fedora Update System 2008-09-16 23:24:27 UTC
tcl-snack-2.2.10-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2008-09-16 23:30:21 UTC
tcl-snack-2.2.10-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 18 Mikhail Kalenkov 2008-09-21 16:48:12 UTC
I didn't find tcl-snack component in Bugzilla. Is it normal?

It seems to me that tcl-snack module doesn't work.

[mkalenkov@sadki ~]$ tclsh
% package require snack 2.2
couldn't load file "/usr/lib/tcl8.5/snack2.2/libsnack.so": /usr/lib/tcl8.5/snack2.2/libsnack.so: undefined symbol: _snd_pcm_mmap_hw_ptr
% 

[mkalenkov@sadki ~]$ LANG=C; rpm -qi tcl-snack
Name        : tcl-snack                    Relocations: (not relocatable)
Version     : 2.2.10                            Vendor: Fedora Project
Release     : 2.fc9                         Build Date: Sat Sep 13 06:17:58 2008
Install Date: Sun Sep 21 19:43:22 2008         Build Host: x86-5.fedora.phx.redhat.com
Group       : System Environment/Libraries   Source RPM: tcl-snack-2.2.10-2.fc9.src.rpm
Size        : 740007                           License: GPLv2+
Signature   : DSA/SHA1, Tue Sep 16 00:14:20 2008, Key ID 62aec3dc6df2196f
Packager    : Fedora Project
URL         : http://www.speech.kth.se/snack/
Summary     : Sound toolkit


Note You need to log in before you can comment on or make changes to this bug.